Bullet Collision Detection & Physics Library: btMatrixX< T > Struct Template Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btMatrixX< T > Struct Template Reference

`#include <btMatrixX.h>`

Collaboration diagram for btMatrixX< T >:
[legend]

## Public Member Functions
T * | getBufferPointerWritable ()
const T * | getBufferPointer () const
| btMatrixX ()
| btMatrixX (int rows, int cols)
void | resize (int rows, int cols)
int | cols () const
int | rows () const
void | addElem (int row, int col, T val)
| we don't want this read/write operator(), because we cannot keep track of non-zero elements, use setElem instead More...
void | setElem (int row, int col, T val)
void | mulElem (int row, int col, T val)
void | copyLowerToUpperTriangle ()
const T & | operator() (int row, int col) const
void | setZero ()
void | setIdentity ()
void | printMatrix (const char *msg) const
void | rowComputeNonZeroElements () const
btMatrixX | transpose () const
btMatrixX | operator* (const btMatrixX &other)
void | multiplyAdd2_p8r (const btScalar *B, const btScalar *C, int numRows, int numRowsOther, int row, int col)
void | multiply2_p8r (const btScalar *B, const btScalar *C, int numRows, int numRowsOther, int row, int col)
void | setSubMatrix (int rowstart, int colstart, int rowend, int colend, const T value)
void | setSubMatrix (int rowstart, int colstart, int rowend, int colend, const btMatrixX &block)
void | setSubMatrix (int rowstart, int colstart, int rowend, int colend, const btVectorX< T > &block)
btMatrixX | negative ()

## Public Attributes
int | m_rows
int | m_cols
int | m_operations
int | m_resizeOperations
int | m_setElemOperations
btAlignedObjectArray< T > | m_storage
btAlignedObjectArray< btAlignedObjectArray< int > > | m_rowNonZeroElements1

## Detailed Description

template<typename T>
struct btMatrixX< T >

Definition at line 152 of file btMatrixX.h.

## Constructor & Destructor Documentation

## ◆ btMatrixX() [1/2]

template<typename T >

btMatrixX< T >::btMatrixX | ( |  | ) |
| inline

Definition at line 172 of file btMatrixX.h.

## ◆ btMatrixX() [2/2]

template<typename T >

btMatrixX< T >::btMatrixX | ( | int | rows,
|  | int | cols
| ) |  |
| inline

Definition at line 180 of file btMatrixX.h.

## Member Function Documentation

## ◆ addElem()

template<typename T >

void btMatrixX< T >::addElem | ( | int | row,
|  | int | col,
|  | T | val
| ) |  |
| inline

we don't want this read/write operator(), because we cannot keep track of non-zero elements, use setElem instead

Definition at line 214 of file btMatrixX.h.

## ◆ cols()

template<typename T >

int btMatrixX< T >::cols | ( |  | ) | const
| inline

Definition at line 199 of file btMatrixX.h.

## ◆ copyLowerToUpperTriangle()

template<typename T >

void btMatrixX< T >::copyLowerToUpperTriangle | ( |  | ) |
| inline

Definition at line 243 of file btMatrixX.h.

## ◆ getBufferPointer()

template<typename T >

const T * btMatrixX< T >::getBufferPointer | ( |  | ) | const
| inline

Definition at line 168 of file btMatrixX.h.

## ◆ getBufferPointerWritable()

template<typename T >

T * btMatrixX< T >::getBufferPointerWritable | ( |  | ) |
| inline

Definition at line 163 of file btMatrixX.h.

## ◆ mulElem()

template<typename T >

void btMatrixX< T >::mulElem | ( | int | row,
|  | int | col,
|  | T | val
| ) |  |
| inline

Definition at line 235 of file btMatrixX.h.

## ◆ multiply2_p8r()

template<typename T >

void btMatrixX< T >::multiply2_p8r | ( | const btScalar * | B,
|  | const btScalar * | C,
|  | int | numRows,
|  | int | numRowsOther,
|  | int | row,
|  | int | col
| ) |  |
| inline

Definition at line 392 of file btMatrixX.h.

## ◆ multiplyAdd2_p8r()

template<typename T >

void btMatrixX< T >::multiplyAdd2_p8r | ( | const btScalar * | B,
|  | const btScalar * | C,
|  | int | numRows,
|  | int | numRowsOther,
|  | int | row,
|  | int | col
| ) |  |
| inline

Definition at line 370 of file btMatrixX.h.

## ◆ negative()

template<typename T >

btMatrixX btMatrixX< T >::negative | ( |  | ) |
| inline

Definition at line 454 of file btMatrixX.h.

## ◆ operator()()

template<typename T >

const T & btMatrixX< T >::operator() | ( | int | row,
|  | int | col
| ) |  | const
| inline

Definition at line 257 of file btMatrixX.h.

## ◆ operator*()

template<typename T >

btMatrixX btMatrixX< T >::operator* | ( | const btMatrixX< T > & | other | ) |
| inline

Definition at line 333 of file btMatrixX.h.

## ◆ printMatrix()

template<typename T >

void btMatrixX< T >::printMatrix | ( | const char * | msg | ) | const
| inline

Definition at line 287 of file btMatrixX.h.

## ◆ resize()

template<typename T >

void btMatrixX< T >::resize | ( | int | rows,
|  | int | cols
| ) |  |
| inline

Definition at line 189 of file btMatrixX.h.

## ◆ rowComputeNonZeroElements()

template<typename T >

void btMatrixX< T >::rowComputeNonZeroElements | ( |  | ) | const
| inline

Definition at line 301 of file btMatrixX.h.

## ◆ rows()

template<typename T >

int btMatrixX< T >::rows | ( |  | ) | const
| inline

Definition at line 203 of file btMatrixX.h.

## ◆ setElem()

template<typename T >

void btMatrixX< T >::setElem | ( | int | row,
|  | int | col,
|  | T | val
| ) |  |
| inline

Definition at line 229 of file btMatrixX.h.

## ◆ setIdentity()

template<typename T >

void btMatrixX< T >::setIdentity | ( |  | ) |
| inline

Definition at line 276 of file btMatrixX.h.

## ◆ setSubMatrix() [1/3]

template<typename T >

void btMatrixX< T >::setSubMatrix | ( | int | rowstart,
|  | int | colstart,
|  | int | rowend,
|  | int | colend,
|  | const btMatrixX< T > & | block
| ) |  |
| inline

Definition at line 429 of file btMatrixX.h.

## ◆ setSubMatrix() [2/3]

template<typename T >

void btMatrixX< T >::setSubMatrix | ( | int | rowstart,
|  | int | colstart,
|  | int | rowend,
|  | int | colend,
|  | const btVectorX< T > & | block
| ) |  |
| inline

Definition at line 441 of file btMatrixX.h.

## ◆ setSubMatrix() [3/3]

template<typename T >

void btMatrixX< T >::setSubMatrix | ( | int | rowstart,
|  | int | colstart,
|  | int | rowend,
|  | int | colend,
|  | const T | value
| ) |  |
| inline

Definition at line 415 of file btMatrixX.h.

## ◆ setZero()

template<typename T >

void btMatrixX< T >::setZero | ( |  | ) |
| inline

Definition at line 262 of file btMatrixX.h.

## ◆ transpose()

template<typename T >

btMatrixX btMatrixX< T >::transpose | ( |  | ) | const
| inline

Definition at line 316 of file btMatrixX.h.

## Member Data Documentation

## ◆ m_cols

template<typename T >

int btMatrixX< T >::m_cols

Definition at line 155 of file btMatrixX.h.

## ◆ m_operations

template<typename T >

int btMatrixX< T >::m_operations

Definition at line 156 of file btMatrixX.h.

## ◆ m_resizeOperations

template<typename T >

int btMatrixX< T >::m_resizeOperations

Definition at line 157 of file btMatrixX.h.

## ◆ m_rowNonZeroElements1

template<typename T >

btAlignedObjectArray<btAlignedObjectArray<int> > btMatrixX< T >::m_rowNonZeroElements1
| mutable

Definition at line 161 of file btMatrixX.h.

## ◆ m_rows

template<typename T >

int btMatrixX< T >::m_rows

Definition at line 154 of file btMatrixX.h.

## ◆ m_setElemOperations

template<typename T >

int btMatrixX< T >::m_setElemOperations

Definition at line 158 of file btMatrixX.h.

## ◆ m_storage

template<typename T >

btAlignedObjectArray<T> btMatrixX< T >::m_storage

Definition at line 160 of file btMatrixX.h.

The documentation for this struct was generated from the following file:

- btMatrixX.h